# Uses of Class
org.apache.lucene.util.IntBlockPool.Allocator

Packages that use IntBlockPool.Allocator
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of IntBlockPool.Allocator in org.apache.lucene.util

  Subclasses of IntBlockPool.Allocator in org.apache.lucene.util
  Modifier and Type
  Class
  Description
  `static final class`
  `IntBlockPool.DirectAllocator`
  A simple `IntBlockPool.Allocator` that never recycles.
  `final class`
  `RecyclingIntBlockAllocator`
  A `IntBlockPool.Allocator` implementation that recycles unused int blocks in a buffer and reuses them in subsequent calls to `RecyclingIntBlockAllocator.getIntBlock()`.
  Constructors in org.apache.lucene.util with parameters of type IntBlockPool.Allocator
  Modifier
  Constructor
  Description
  ``
  `IntBlockPool(IntBlockPool.Allocator allocator)`
  Creates a new `IntBlockPool` with the given `IntBlockPool.Allocator`.